

  <form
    name="form"
    (ngSubmit)="f.form.valid && onSubmit()"
    #f="ngForm"
    novalidate 
  >
  <div class="row" class="signInTitle">
 <h1>Ravi de te revoir !</h1>
 </div>

 <div style="margin-left: 40px; margin-right:40px; ">
        <div class="floating-label">
             <input
            [(ngModel)]="form.username"
            #username="ngModel"
            required
            id="userId"
            class="floating-input"
            type="text"
            name="Username"
            placeholder=" "
          />
          <span class="highlight"></span>
        <label>Pseudo</label>
        </div>

        <div class="floating-label">
        <input
            [(ngModel)]="form.password"
            #password="ngModel"
            required
            minlength="6"
            id="password"
            type="password"
            name="Password"
            class="floating-input"
            placeholder=" "
          />
        <label>Mot de passe</label>
        </div>
</div>

<div style="margin-left : 28%; margin-top : 100px" >
        <button  type="submit" name="" value="Login">Login</button>
</div>

  </form>
